Skip to main content
GET
/
team
/
{team_id}
cURL
curl --request GET \
  --url https://api.chartbrew.com/team/{team_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chartbrew.com/team/{team_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chartbrew.com/team/{team_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "TeamRoles": [
    {
      "id": 123,
      "team_id": 123,
      "user_id": 123,
      "role": "<string>",
      "projects": [
        "<string>"
      ],
      "canExport": true
    }
  ],
  "showBranding": true,
  "allowReportRefresh": true,
  "allowReportExport": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"error": "<string>"
}
This endpoint returns the team details if the authentication token has access to it.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

ID of the team

Response

Team details

id
integer
name
string
TeamRoles
object[]
showBranding
boolean
allowReportRefresh
boolean
allowReportExport
boolean
createdAt
string<date-time>
updatedAt
string<date-time>